Bug 244397 - sysctl executed as wrong type
sysctl executed as wrong type
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 09:37 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-06-15 09:37:14 EDT
Description of problem:

SELinux is preventing /sbin/sysctl (udev_t) "write" to (sysctl_net_t).

I'm assuming udev_t is missing the proper transition. I suppose this is the same
thing as the ifup/ifdown issue?

Version-Release number of selected component (if applicable):

selinux-policy-targeted-2.6.4-14.fc7
Comment 1 Daniel Walsh 2007-06-15 09:51:33 EDT
I can add this but it still seems like other parts of the OS should be doing
this, not udev.  Currently we don't have scripts labeled to handle a transition
on ifup/ifdown, just on dhclient or networkmanager.  So I end up having to give
udev this allow rule.
Comment 2 Daniel Walsh 2007-06-15 09:52:31 EDT
Fixed in selinux-policy-2.6.4-16
Comment 3 Daniel Walsh 2007-08-22 10:09:54 EDT
Closing as fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.